Subject: [Tsvwg] Fwd: Lifting up a filter discussion from Monami6

From: Nicolas Montavont <[email-masked]>
Date: Wed, 14 Feb 2007 19:13:45 +0100

Dear tsvwg,

Within the Internet area, we just launched a discussion about flow  
distribution over multiple paths, for both Mobile nodes and Mobile  
routers. This initiative comes from the work being currently done in  
Monami6 working group.

It seems that you have quite extensive knowledge on this topic. You  
are very welcome to add input to our discussion. Here is the thread  
initiated by Jari. Please do not hesitate to participate to the  
discussion by sending comments to [email-masked]. I can also add  
tsv mailing list into the thread in order to give you the opportunity  
to follow all the discussion.

Regards,

Nicolas

Begin forwarded message:

>
> I would like to lift up one issue from the Monami6 WG
> to a more general discussion. Monami6 is developing an
> extension to Mobile IPv6 / Nemo so that a mobile node could
> register its presence in multiple locations simultaneously.
> One of things that they expect to be able to do is to control
> what traffic goes to what care-of address; this flow to this
> address, and the other flow to that other address. Mobile nodes
> can obviously decide by themselves what outgoing interface to use.
> However, in order for a home agent to deal with return traffic
> properly, the mobile node has to tell it what policy to
> employ.
>
> The working group has debated between a number of different
> approaches for doing this. In one approach, draft-soliman-
> monami6-flow-binding the mobile node adds a filter to a Mobile
> IPv6 Binding Update to tell what traffic should use this binding.
> Another approach, draft-larsson-monami6-filter-rules, decouples
> the policy exchange from the mobility protocol. The policies are
> exchanged at a different time (typically earlier) and carried by a
> different protocol (in this case over UDP). Yet another draft,
> draft-mitsuya-monami6-flow-distribution-policy also separates
> the mobility protocol and policy transfer, and carries
> the policies in HTTP.
>
> Monami6 should of course decide how they want to design this.
> But this may be an interesting debate from a more generic point
> of view. Do we have input for them? For instance, are there needs
> in HIP/Shim6/Mobike space for similar functionality? Should the
> designs be tailored for each of these situations? Is there some
> advantage or disadvantage in looking at a generic solution?
> Would a generic solution be doable?
>
> Without going into too much detail about the specific proposals
> it seems that there are actually a number of different topics here:
> - carrier protocol choice
> - policy container format
> - timing of the policy exchange
> - securing the transfer
> - etc
>
> Thoughts?
>
> Jari